IBM Support

Microsoft® Exchange database backup and restore requirements: IBM Spectrum Protect™ Plus V10.1.3

Preventive Service Planning


Abstract

This document details the Microsoft® Exchange database backup and restore requirements for IBM® Spectrum Protect™ Plus V10.1.3

Content

This document is divided into linked sections for ease of navigation. You may use the links below to jump to the section of the document you need.
 

General
Configuration
Software
Privileges
Ports
Hardware


General

Before registering each Microsoft Exchange Server in IBM Spectrum Protect Plus, ensure it meets the following requirements.
 


Configuration

Make sure that the Microsoft Exchange Server version that you are using is supported on your operating system.
 

Application Versions

  • Microsoft Exchange Server 2013 CU16 and later CU and maintenance levels: Standard or Enterprise editions

  • Microsoft Exchange Server 2016 CU5 and later CU and maintenance levels: Standard and Enterprise editions

  • Microsoft Exchange Server 2019 and later maintenance levels: Standard and Enterprise editions

Note: Microsoft Exchange database availability groups (DAG) are supported.
 

Operating Systems

  • Windows server 2012R2  and later maintenance levels (64-bit kernel): Standard and Datacenter editions

  • Windows server 2016  and later maintenance levels (64-bit kernel): Standard and Datacenter editions

  • Windows server 2019  and later maintenance levels (64-bit kernel): Standard and Datacenter editions

Note: Windows Server 2019 Core Installations are supported, however the Granular restore feature is not supported on core installations.
 

Additional Notes

Install the latest Microsoft Exchange Server patches and updates in your environment.

For information about virtualization support for Exchange Server, see the Exchange Server Prerequisites   in IBM Knowledge Center.


Software

  • Ensure the supported version of  Windows x64 bit is installed.

  • The following prerequisites from Microsoft are required and must be installed prior to using IBM Spectrum Protect Plus.
    - Windows PowerShell 4 or later.
    - Windows Management Framework 4 or later.

  • When using Microsoft Exchange Server 2013 and the Granular restore feature, the minimum level supported for Microsoft Exchange Messaging API (MAPI) Client and Collaboration Data Objects (MAPI/CDO) is version 6.5.8320.0.
    Note: MAPI/CDO is required for Microsoft Exchange Server 2013 only. It is not required if you are running Microsoft Exchange Server 2016 or Exchange Server 2019.

  • When using the granular restore feature with Microsoft Exchange Server 2016 or Microsoft Exchange Server 2019, Microsoft 32-bit Outlook 2016 is required.

  • The following prerequisites from Microsoft are required, and installed automatically by IBM Spectrum Protect Plus Granular restore feature, if not already present on your machine.
    - 32-bit Microsoft Visual C++ 2012 Redistributable Package
    - 64-bit Microsoft Visual C++ 2012 Redistributable Package
    - 32-bit Microsoft Visual C++ 2017 Redistributable Package
    - 64-bit Microsoft Visual C++ 2017 Redistributable Package
    - Microsoft .NET Framework 4.5
    - Microsoft ReportViewer 2012 SP1 Redistributable
    - Microsoft SQL Server 2012 System CLR Types
    - Microsoft SQL Server 2014 System CLR Types
    - Microsoft SQL Server 2016 System CLR Types

    TIP: Installation of these prerequisites may require a system restart. To avoid a system restart, ensure that these prerequisites are installed before starting the IBM Spectrum Protect plus Granular restore feature.
     


Privileges

 The IBM Spectrum Protect Plus agent users have the following privileges:

  • Microsoft Exchange server is protected by role-based authentication. In order to get the Microsoft Exchange agent to work in your IBM Spectrum Protect™ Plus environment, you must set up the appropriate privileges. For detailed information, see the Exchange Server Privileges topic in IBM Knowledge Center.
     


Ports

The following ports are used by IBM Spectrum Protect Plus agent users. Ports that are indicated with "Accept" in the Firewall Rule column use secure connections (HTTPS or SSL).

Incoming IBM Spectrum Protect Plus agent firewall connections
Port Protocol Firewall Rule Service Description
5985 TCP Accept WinRM Windows Remote Management Service
5986 TCP Accept WinRM Secure Windows Remote Management Service


 

Outgoing IBM Spectrum Protect Plus agent firewall connections
Port Protocol Service Description
3260* TCP vSnap iSCSI iSCSI vSnap target port used for mounting LUNS for backup and recovery
137 UDP vSnap SMB/CIFS vSnap SMB or CIFS target port used for mounting filesystem shares for transaction log backup and recovery
138 UDP vSnap SMB/CIFS vSnap SMB or CIFS target port used for mounting filesystem shares for transaction log backup and recovery
139 TCP vSnap SMB/CIFS vSnap SMB or CIFS target port used for mounting filesystem shares for transaction log backup and recovery
445 TCP vSnap SMB/CIFS vSnap SMB or CIFS target port used for mounting filesystem shares for transaction log backup and recovery

*iSCSI initiator is required on this node.  
 


Hardware

System Disk Space Disk Space for Granular Restore Operations
x64: Compatible hardware supported by the operating system and the Microsoft Exchange Server. A minimum of 200 MB of disk space for the product to be installed. At least 2.1 GB disk space for "Additional Microsoft prerequisites", which will be installed automatically if they are not already.



 

[{"Business Unit":{"code":"BU058","label":"IBM Infrastructure w\/TPS"},"Product":{"code":"SSNQFQ","label":"IBM Spectrum Protect Plus"},"Component":"Not Applicable","Platform":[{"code":"PF033","label":"Windows"}],"Version":"10.1.3","Edition":"","Line of Business":{"code":"LOB26","label":"Storage"}}]

Document Information

Modified date:
05 June 2019

UID

ibm10742437